<< pchip | FOSSEE_Signal_Processing_Toolbox | peak2peak >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > pchips

# pchips

Internal helper for main function pchip.

### Syntax

    v = pchip(x, y)
    v = pchip(x, y, xx)

### Parameters

x:

  A vector of input data points.

y:

  A vector or matrix of function values at the points in `x`. If `y` is a vector, it must have the same length as `x`. If `y` is a matrix, the last dimension of `y` must equal the length of `x`.

xx:

  (optional) Points for interpolation.

### Authors

- Jitendra Singh

Report an issue
<< pchip | FOSSEE_Signal_Processing_Toolbox | peak2peak >>